/******************************************************************************
*                                                                             *
*    History.h                              Copyright(c) 2005-2009 itow,y.    *
*                                                                             *
******************************************************************************/

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef HISTORY_H
#define HISTORY_H


class History {
	HMENU m_hmenuParent;
	int m_MenuPos;
	HMENU m_hmenu;
	int m_Command;
	int m_Max;
public:
	History();
	void SetMenu(HMENU hmenuParent,int Pos,int Command);
	void SetMenu(HMENU hmenu,int Command);
	bool Add(LPCTSTR pszPath);
	bool Get(int Index,LPTSTR pszPath);
	bool Remove(int Index);
	void Clear();
	void SetMax(int Max);
	int GetCount();
	bool Load(LPCTSTR pszFileName,LPCTSTR pszSection,LPCTSTR pszPrefix);
	bool Save(LPCTSTR pszFileName,LPCTSTR pszSection,LPCTSTR pszPrefix);
};


#endif	// ndef HISTORY_H
