/******************************************************************************
*                                                                             *
*    resource.h                             Copyright(c) 2005-2009 itow,y.    *
*                                                                             *
******************************************************************************/

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#define IDI_ICON	1

#define IDM_MAIN			10
#define IDM_POPUP1			11
#define IDM_POPUP2			12
#define IDM_BAR				13
#define IDM_BAR_FULLSCREEN	14
#define IDM_PLAYLIST		15

//#define IDA_ACCELERATORS	20

#define IDB_TOOLBAR		30
#define IDB_PLAYBAR		31
#define IDB_PLAYLIST	32
#define IDB_LOGO		33

#define IDD_ABOUT				50
#define IDD_OPTIONS_GENERAL		51
#define IDD_OPTIONS_HISTORY		52
#define IDD_OPTIONS_PLAYER		53
#define IDD_OPTIONS_PLAYLIST	54
#define IDD_OPTIONS_THEME		55
#define IDD_OPTIONS_ACCEL		56

#define CM_OPEN				100
#define CM_CLOSE			101
#define CM_PREVFILE			102
#define CM_NEXTFILE			103
#define CM_FIRSTFILE		104
#define CM_LASTFILE			105
#define CM_SORT_NAME		106
#define CM_SORT_NAME_NUMBER	107
#define CM_SORT_TYPE		108
#define CM_SORT_EXTENSION	109
#define CM_SORT_SIZE		110
#define CM_SORT_LASTWRITETIME	111
#define CM_SORT_FIRST		CM_SORT_NAME
#define CM_SORT_LAST		CM_SORT_LASTWRITETIME
#define CM_SORTDESCENDING	115
#define CM_REFRESH			116
#define CM_ADDTOPLAYLIST	117
#define CM_FOLDERPLAYLIST	118
#define CM_EXIT				119
#define CM_PLAY				120
#define CM_PAUSE			121
#define CM_PLAY_PAUSE		122
#define CM_STOP				123
#define CM_PREVFRAME		124
#define CM_NEXTFRAME		125
#define CM_BACKWARD			126
#define CM_FORWARD			127
#define CM_HOME				128
#define CM_END				129
#define CM_REPEAT			130
#define CM_VOLUMEUP			131
#define CM_VOLUMEDOWN		132
#define CM_MUTE				133
#define CM_SEQUENTIALPLAY	134
#define CM_REPEATPLAYLIST	135
#define CM_ZOOMIN			140
#define CM_ZOOMOUT			141
#define CM_ZOOM50			142
#define CM_ZOOM75			143
#define CM_ZOOM100			144
#define CM_ZOOM150			145
#define CM_ZOOM200			146
#define CM_ZOOM300			147
#define CM_ZOOM_FIRST		CM_ZOOM50
#define CM_ASPECT_DEFAULT	150
#define CM_ASPECT_4X3		151
#define CM_ASPECT_16X9		152
#define CM_ASPECT_FIRST		CM_ASPECT_DEFAULT
#define CM_ASPECT_LAST		CM_ASPECT_16X9
#define CM_KEEPZOOMRATE		155
#define CM_FITTOWINDOW		156
#define CM_FULLSCREEN		157
#define CM_ALWAYSONTOP		158
#define CM_PLAYLIST			159
#define CM_MENUBAR			160
#define CM_TOOLBAR			161
#define CM_STATUSBAR		162
#define CM_PLAYBAR			163
#define CM_SEEKBAR			164
#define CM_PLAYBAR_FULLSCREEN	165
#define CM_SEEKBAR_FULLSCREEN	166
#define CM_OPTIONS			167
#define CM_HELP				168
#define CM_ABOUT			169
#define CM_PLAYLIST_OPEN	170
#define CM_PLAYLIST_SAVE	171
#define CM_PLAYLIST_CLEAR	172
#define CM_PLAYLIST_ADD		173
#define CM_PLAYLIST_DELETE	174
#define CM_PLAYLIST_UP		175
#define CM_PLAYLIST_DOWN	176
#define CM_PLAYLIST_TOP		177
#define CM_PLAYLIST_BOTTOM	178
#define CM_PLAYLIST_PLAY	180

#define CM_FILEHISTORY_FIRST		200
#define CM_FILEHISTORY_LAST			(CM_FILEHISTORY_FIRST+35)
#define CM_DIRHISTORY_FIRST			236
#define CM_DIRHISTORY_LAST			(CM_DIRHISTORY_FIRST+35)
#define CM_PLAYLISTHISTORY_FIRST	300
#define CM_PLAYLISTHISTORY_LAST		(CM_PLAYLISTHISTORY_FIRST+35)

#define CM_PRESET_FIRST			350
#define CM_PRESET_LAST			359

#define CM_PREVFILE_FIRST		1000
#define CM_PREVFILE_LAST		(CM_PREVFILE_FIRST+99)
#define CM_NEXTFILE_FIRST		1100
#define CM_NEXTFILE_LAST		(CM_NEXTFILE_FIRST+99)

#define IDC_ABOUT_WEB				400

#define IDC_OPT_KEEPSINGLETASK		400
#define IDC_OPT_SAVEWINDOWPOS		401
#define IDC_OPT_SAVEWINDOWSIZE		402
#define IDC_OPT_TITLEFORMAT			403
#define IDC_OPT_TITLEFILENAME		404
#define IDC_OPT_SHOWTIPHELP			405
#define IDC_OPT_FINDSUBDIR			406
#define IDC_OPT_FILEMASKS			407
#define IDC_OPT_DEFAULTFILEMASKS	408
#define IDC_OPT_USEUSERPROFILE		409
#define IDC_OPT_DEVICE_MCI			410
#define IDC_OPT_DEVICE_DIRECTSHOW	411

#define IDC_OPT_MAXFILEHISTORY		400
#define IDC_OPT_MAXFILEHISTORY_UD	401
#define IDC_OPT_CLEARFILEHISTORY	402
#define IDC_OPT_NOSAVEFILEHISTORY	403
#define IDC_OPT_MAXDIRHISTORY		404
#define IDC_OPT_MAXDIRHISTORY_UD	405
#define IDC_OPT_CLEARDIRHISTORY		406
#define IDC_OPT_NOSAVEDIRHISTORY	407
#define IDC_OPT_USEDIRHISTORYMENU	408
#define IDC_FILELIST_MAX			410
#define IDC_FILELIST_MAX_UD			411

#define IDC_OPT_PLAYONOPEN			420
#define IDC_OPT_ZOOMSTEP			421
#define IDC_OPT_ZOOMSTEP_UD			422
#define IDC_OPT_BACKWARDSPEED		423
#define IDC_OPT_BACKWARDSPEED_UD	424
#define IDC_OPT_FORWARDSPEED		425
#define IDC_OPT_FORWARDSPEED_UD		426
#define IDC_OPT_FULLSCREEN_SEEKBAR		430
#define IDC_OPT_FULLSCREEN_PLAYBAR		431
#define IDC_OPT_FULLSCREEN_FITTODISPLAY	432
#define IDC_OPT_FULLSCREEN_HIDECURSOR	433

#define IDC_PLAYLISTOPT_FOREGROUND			400
#define IDC_PLAYLISTOPT_SINGLECLICKOPEN		401
#define IDC_PLAYLISTOPT_FILENAMEFORMAT		402
#define IDC_PLAYLISTOPT_RESTORELIST			403
#define IDC_PLAYLISTOPT_MAXHISTORY			404
#define IDC_PLAYLISTOPT_MAXHISTORY_UD		405
#define IDC_PLAYLISTOPT_CLEARHISTORY		406
#define IDC_PRESET_LIST				410
#define IDC_PRESET_NAME				411
#define IDC_PRESET_MENUBAR			412
#define IDC_PRESET_TOOLBAR			413
#define IDC_PRESET_STATUSBAR		414
#define IDC_PRESET_PLAYBAR			415
#define IDC_PRESET_SEEKBAR			416

#define IDC_THEME_LIST				400
#define IDC_THEME_SAVE				401
#define IDC_THEME_DELETE			402
#define IDC_THEME_COLORS_LIST		403
#define IDC_THEME_COLORS_COLORLIST	404
#define IDC_THEME_COLORS_CHOOSE		405
#define IDC_THEME_PREVIEW			406
#define IDC_THEME_TOOLBAR_LIST		407
#define IDC_THEME_TOOLBAR_PREVIEW	408

#define IDC_ACCEL_TREE			400
#define IDC_ACCEL_KEY			401
#define IDC_ACCEL_SHIFT			402
#define IDC_ACCEL_CONTROL		403
#define IDC_ACCEL_ALT			404
#define IDC_ACCEL_SET			405
#define IDC_ACCEL_CLEAR			406
#define IDC_ACCEL_LOAD			407
#define IDC_ACCEL_SAVE			408
#define IDC_ACCEL_DEFAULT		409

#define IDS_SHORTCMBASE			200
#define IDS_MENUBASE			600
#define IDS_MENU_FILE			600
#define IDS_MENU_PLAY			601
#define IDS_MENU_VIEW			602
#define IDS_MENU_HELP			603
#define IDS_MENU_FILE_SORT		604
#define IDS_MENU_PLAY_VOLUME	605
#define IDS_MENU_VIEW_ZOOM		606
#define IDS_MENU_VIEW_ASPECT	607
#define IDS_MENU_VIEW_PRESET	608
#define IDS_OPENFILTER			700
#define IDS_FILELISTFILTER		701
#define IDS_KEYFILEFILTER		702
#define IDS_THEMEFILEFILTER		703
#define IDS_FAIL_REGISTERCLASS	710
#define IDS_FAIL_CREATEWINDOW	711
#define IDS_FAIL_CREATEACCEL	712
#define IDS_FAIL_LOADFILE		713
#define IDS_FAIL_SAVEFILE		714
#define IDS_FAIL_GETAPPDATADIR	715
#define IDS_FAIL_MOVEINIFILE	716
#define IDS_ERR_UNSUPPORTED		730
#define IDS_ERR_INVALIDFORMAT	731
#define IDS_ERR_OTHER			732
#define IDS_FILENOTFOUND		750
#define IDS_DIRNOTFOUND			751
#define IDS_CONFIRM_SETTINGS_DIR			760
#define IDS_CONFIRM_SETTINGS_DIR_CAPTION	761
#define IDS_THEME_DELETE			770
#define IDS_THEME_DELETE_CAPTION	771
#define IDS_THEME_DELETE_FAIL		772
#define IDS_COLOR_FIRST				800
#define IDS_COLOR_CUSTOM			800
#define IDS_COLOR_BLACK				801
#define IDS_COLOR_BROWN				802
#define IDS_COLOR_GREEN				803
#define IDS_COLOR_OLIVE				804
#define IDS_COLOR_DARKBLUE			805
#define IDS_COLOR_DARKMAGENTA		806
#define IDS_COLOR_DARKCYAN			807
#define IDS_COLOR_GRAY				808
#define IDS_COLOR_SILVER			809
#define IDS_COLOR_RED				810
#define IDS_COLOR_LIME				811
#define IDS_COLOR_YELLOW			812
#define IDS_COLOR_BLUE				813
#define IDS_COLOR_MAGENTA			814
#define IDS_COLOR_CYAN				815
#define IDS_COLOR_WHITE				816
#define IDS_COLOR_WINDOW			817
#define IDS_COLOR_WINDOWTEXT		818
#define IDS_COLOR_HIGHLIGHT			819
#define IDS_COLOR_HIGHLIGHTTEXT		820
#define IDS_COLOR_APPWORKSPACE		821
#define IDS_COLOR_DESKTOP			822
#define IDS_COLOR_3DFACE			823
#define IDS_COLOR_3DLIGHT			824
#define IDS_COLOR_3DHIGHLIGHT		825
#define IDS_COLOR_3DSHADOW			826
#define IDS_COLOR_3DDARKSHADOW		827
#define IDS_COLOR_BUTTONTEXT		828
#define IDS_COLOR_MENU				829
#define IDS_COLOR_MENUTEXT			830
#define IDS_COLOR_ACTIVECAPTION		831
#define IDS_COLOR_ACTIVECAPTIONTEXT	832
#define IDS_COLOR_INACTIVECAPTION	833
#define IDS_COLOR_INACTIVECAPTIONTEXT	834
#define IDS_COLOR_INFOBACK			835
#define IDS_COLOR_INFOTEXT			836
#define IDS_COLORSCHEME_BASE		840
#define IDS_COLORSCHEME_BACKGROUND		(IDS_COLORSCHEME_BASE+0)
#define IDS_COLORSCHEME_FULLSCREENBG	(IDS_COLORSCHEME_BASE+1)
#define IDS_COLORSCHEME_STATUSTEXT		(IDS_COLORSCHEME_BASE+2)
#define IDS_COLORSCHEME_STATUSBG		(IDS_COLORSCHEME_BASE+3)
#define IDS_COLORSCHEME_PLAYLISTTEXT	(IDS_COLORSCHEME_BASE+4)
#define IDS_COLORSCHEME_PLAYLISTBG		(IDS_COLORSCHEME_BASE+5)
#define IDS_COLORSCHEME_PLAYLISTSELTEXT	(IDS_COLORSCHEME_BASE+6)
#define IDS_COLORSCHEME_PLAYLISTSELBG	(IDS_COLORSCHEME_BASE+7)
#define IDS_COLORSCHEME_PLAYLISTPLAYINGTEXT		(IDS_COLORSCHEME_BASE+8)
#define IDS_COLORSCHEME_PLAYLISTPLAYINGSELTEXT	(IDS_COLORSCHEME_BASE+9)
#define IDS_COLORSCHEME_PLAYLISTPLAYEDTEXT		(IDS_COLORSCHEME_BASE+10)
#define IDS_COLORSCHEME_TIPTEXT			(IDS_COLORSCHEME_BASE+11)
#define IDS_COLORSCHEME_TIPBG			(IDS_COLORSCHEME_BASE+12)
#define IDS_COLORSCHEME_SEEKBAR			(IDS_COLORSCHEME_BASE+13)
#define IDS_COLORSCHEME_VOLUME			(IDS_COLORSCHEME_BASE+14)
#define IDS_TITLEFORMAT_BASE		860
#define IDS_TITLEFORMAT_PROGRAM_FILENAME	(IDS_TITLEFORMAT_BASE+0)
#define IDS_TITLEFORMAT_FILENAME_PROGRAM	(IDS_TITLEFORMAT_BASE+1)
#define IDS_TITLEFORMAT_PROGRAM				(IDS_TITLEFORMAT_BASE+2)
#define IDS_FILENAMEFORMAT_BASE		870
#define IDS_FILENAMEFORMAT_FILENAME				(IDS_FILENAMEFORMAT_BASE+0)
#define IDS_FILENAMEFORMAT_FULLPATH				(IDS_FILENAMEFORMAT_BASE+1)
#define IDS_FILENAMEFORMAT_DIRECTORY_FILENAME	(IDS_FILENAMEFORMAT_BASE+2)
